﻿using System;
using System.Threading;

namespace Client {
    static class App {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main() {
            Console.WriteLine("Press T to get time, press N to get name, press S to sleep and press Q to quit.");
            while (true) {
                switch (Console.ReadKey(true).Key) { 
                    case ConsoleKey.T:
                        Console.WriteLine(CommandClient.Send("Time", null));
                        break;

                    case ConsoleKey.N:
                        Console.WriteLine(CommandClient.Send("Name", null));
                        break;

                    case ConsoleKey.S:
                        Console.WriteLine(CommandClient.Send("Sleep", "1000"));
                        break;

                    case ConsoleKey.Q:
                        Console.WriteLine("Goodbye.");
                        return;
                }
                Thread.Sleep(1);
            }
        }
    }
}
